org.jboss.netty.handler.codec.http.websocketx

## Class WebSocket13FrameEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.http.websocketx.WebSocket08FrameEncoder
    - - org.jboss.netty.handler.codec.http.websocketx.WebSocket13FrameEncoder

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler

      public class WebSocket13FrameEncoder
      extends WebSocket08FrameEncoder

  Encodes a web socket frame into wire protocol version 13 format. V13 is essentially the same as V8.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocket13FrameEncoder(boolean maskPayload)` Constructor

  - ### Method Summary

    - ### Methods inherited from class org.jboss.netty.handler.codec.http.websocketx.WebSocket08FrameEncoder

      `encode`

    - ### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

      `handleDownstream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocket13FrameEncoder

          public WebSocket13FrameEncoder(boolean maskPayload)

      Constructor
      Parameters:
        `maskPayload` - Web socket clients must set this to true to mask payload. Server implementations must set this to false.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.